Bug 465948 - ** ERROR **: file class.c: line 2233 (mono_class_setup_parent): should not be reached
** ERROR **: file class.c: line 2233 (mono_class_setup_parent): should not be...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gbrainy (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Benoît Marcelin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-07 07:20 EDT by Rick Richardson
Modified: 2009-06-23 05:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-23 05:25:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Richardson 2008-10-07 07:20:25 EDT
$ rpm -qa | grep gbrainy
gbrainy-0.70-4.fc9.i386

$ gbrainy 

** (gbrainy:14347): WARNING **: The class Cairo.Context could not be loaded, used in /usr/lib/gbrainy/gbrainy.exe (token 0x0100000e)

** ERROR **: file class.c: line 2233 (mono_class_setup_parent): should not be reached
aborting...
Aborted (core dumped)
$
Comment 1 Bug Zapper 2009-06-09 22:54:17 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Benoît Marcelin 2009-06-10 03:21:21 EDT
Can you try those command and report me results ? (package-cleanup is in yum-utils package)

rpm -V gbrainy
package-cleanup --problems
Comment 3 Rick Richardson 2009-06-10 05:49:02 EDT
$ rpm -V gbrainy
$ package-cleanup --problems
Setting up yum
Loaded plugins: refresh-packagekit
Reading local RPM database
Processing all local requires
Missing dependencies:
Package amazonmp3 requires libcrypto.so.6
Package amazonmp3 requires libssl.so.6
$ gbrainy 

** (gbrainy:10273): WARNING **: The class Cairo.Context could not be loaded, used in /usr/lib/gbrainy/gbrainy.exe (token 0x01000011)

** ERROR **: file class.c: line 2233 (mono_class_setup_parent): should not be reached
aborting...
6c28bf5b-cdf8-d006-68ede20c-1761c1c1 is dumped
$
Comment 4 Benoît Marcelin 2009-06-10 06:13:49 EDT
is cairomm installed ? if install it and try launch gbrainy.
Comment 5 Rick Richardson 2009-06-10 07:35:58 EDT
$ root yum install cairomm
Loaded plugins: refresh-packagekit
livna                                                    | 2.4 kB     00:00     
fedora                                                   | 2.8 kB     00:00     
rpmfusion-free-updates                                   | 2.8 kB     00:00     
rpmfusion-nonfree-updates                                | 2.8 kB     00:00     
rpmfusion-free                                           | 2.7 kB     00:00     
adobe-linux-i386                                         |  951 B     00:00     
updates                                                  | 3.0 kB     00:00     
home_bekun                                               |  951 B     00:00     
rpmfusion-nonfree                                        | 2.7 kB     00:00     
Setting up Install Process
Parsing package install arguments
Package cairomm-1.8.0-1.fc10.i386 already installed and latest version
Nothing to do

Note You need to log in before you can comment on or make changes to this bug.